org.apache.poi.hslf.record

## Class SSSlideInfoAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.SSSlideInfoAtom

- All Implemented Interfaces:
    GenericRecord

      public class SSSlideInfoAtom
      extends RecordAtom

  A SlideShowSlideInfo Atom (type 1017).
  An atom record that specifies which transition effects to perform during a slide show, and how to advance to the next presentation slide.
  Combination of effectType and effectDirection:

  type | description | direction
  --- | --- | ---
  0 | cut | 0x00 = no transition, 0x01 = black transition
  1 | random | 0x00
  2 | blinds | 0x00 = vertical, 0x01 = horizontal
  3 | checker | like blinds
  4 | cover | 0x00 = left, 0x01 = up, 0x02 = right, 0x03 = down, 0x04 = left/up, 0x05 = right/up, 0x06 left/down, 0x07 = left/down
  5 | dissolve | 0x00
  6 | fade | 0x00
  7 | uncover | like cover
  8 | random bars | like blinds
  9 | strips | like 0x04 - 0x07 of cover
  10 | wipe | like 0x00 - 0x03 of cover
  11 | box in/out | 0x00 = out, 0x01 = in
  13 | split | 0x00 = horizontally out, 0x01 = horizontally in, 0x02 = vertically out, 0x03 = vertically in
  17 | diamond | 0x00
  18 | plus | 0x00
  19 | wedge | 0x00
  20 | push | like 0x00 - 0x03 of cover
  21 | comb | like blinds
  22 | newsflash | 0x00
  23 | alphafade | 0x00
  26 | wheel | number of radial divisions (0x01,0x02,0x03,0x04,0x08)
  27 | circle | 0x00
  255 | undefined | 0x00

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTO_ADVANCE_BIT` A bit that specifies whether the slide will automatically advance after slideTime milliseconds during the slide show.
    `static int` | `CURSOR_VISIBLE_BIT` A bit that specifies whether to display the cursor during the slide show.
    `static int` | `HIDDEN_BIT` A bit that specifies whether the corresponding slide is hidden and is not displayed during the slide show.
    `static int` | `LOOP_SOUND_BIT` A bit that specifies whether the sound specified by soundIdRef is looped continuously when playing until the next sound plays.
    `static int` | `MANUAL_ADVANCE_BIT` A bit that specifies whether the presentation slide can be manually advanced by the user during the slide show.
    `static int` | `SOUND_BIT` A bit that specifies whether to play the sound specified by soundIfRef.
    `static int` | `STOP_SOUND_BIT` A bit that specifies whether to stop any currently playing sound when the transition starts.

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSSlideInfoAtom()`
    `SSSlideInfoAtom(byte[] source, int offset, int len)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getEffectDirection()`
    `boolean` | `getEffectTransitionFlagByBit(int bitmask)`
    `short` | `getEffectTransitionFlags()`
    `short` | `getEffectType()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `long` | `getRecordType()` We are of type 1017
    `int` | `getSlideTime()`
    `int` | `getSoundIdRef()`
    `short` | `getSpeed()`
    `void` | `setEffectDirection(short effectDirection)`
    `void` | `setEffectTransitionFlagByBit(int bitmask, boolean enabled)` Use one of the bitmasks MANUAL_ADVANCE_BIT ...
    `void` | `setEffectTransitionFlags(short effectTransitionFlags)`
    `void` | `setEffectType(short effectType)`
    `void` | `setSlideTime(int slideTime)`
    `void` | `setSoundIdRef(int soundIdRef)`
    `void` | `setSpeed(short speed)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MANUAL_ADVANCE_BIT

          public static final int MANUAL_ADVANCE_BIT

      A bit that specifies whether the presentation slide can be manually advanced by the user during the slide show.
      See Also:
        Constant Field Values

    - #### HIDDEN_BIT

          public static final int HIDDEN_BIT

      A bit that specifies whether the corresponding slide is hidden and is not displayed during the slide show.
      See Also:
        Constant Field Values

    - #### SOUND_BIT

          public static final int SOUND_BIT

      A bit that specifies whether to play the sound specified by soundIfRef.
      See Also:
        Constant Field Values

    - #### LOOP_SOUND_BIT

          public static final int LOOP_SOUND_BIT

      A bit that specifies whether the sound specified by soundIdRef is looped continuously when playing until the next sound plays.
      See Also:
        Constant Field Values

    - #### STOP_SOUND_BIT

          public static final int STOP_SOUND_BIT

      A bit that specifies whether to stop any currently playing sound when the transition starts.
      See Also:
        Constant Field Values

    - #### AUTO_ADVANCE_BIT

          public static final int AUTO_ADVANCE_BIT

      A bit that specifies whether the slide will automatically advance after slideTime milliseconds during the slide show.
      See Also:
        Constant Field Values

    - #### CURSOR_VISIBLE_BIT

          public static final int CURSOR_VISIBLE_BIT

      A bit that specifies whether to display the cursor during the slide show.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SSSlideInfoAtom

          public SSSlideInfoAtom()

    - #### SSSlideInfoAtom

          public SSSlideInfoAtom(byte[] source,
                                 int offset,
                                 int len)

  - ### Method Detail

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getRecordType

          public long getRecordType()

      We are of type 1017
      Specified by:
        `getRecordType` in class `Record`

    - #### getSlideTime

          public int getSlideTime()

    - #### setSlideTime

          public void setSlideTime(int slideTime)

    - #### getSoundIdRef

          public int getSoundIdRef()

    - #### setSoundIdRef

          public void setSoundIdRef(int soundIdRef)

    - #### getEffectDirection

          public short getEffectDirection()

    - #### setEffectDirection

          public void setEffectDirection(short effectDirection)

    - #### getEffectType

          public short getEffectType()

    - #### setEffectType

          public void setEffectType(short effectType)

    - #### getEffectTransitionFlags

          public short getEffectTransitionFlags()

    - #### setEffectTransitionFlags

          public void setEffectTransitionFlags(short effectTransitionFlags)

    - #### setEffectTransitionFlagByBit

          public void setEffectTransitionFlagByBit(int bitmask,
                                                   boolean enabled)

      Use one of the bitmasks MANUAL_ADVANCE_BIT ... CURSOR_VISIBLE_BIT
      Parameters:
        `bitmask` -
        `enabled` -

    - #### getEffectTransitionFlagByBit

          public boolean getEffectTransitionFlagByBit(int bitmask)

    - #### getSpeed

          public short getSpeed()

    - #### setSpeed

          public void setSpeed(short speed)

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.